Certificate
Date: 2016-06-24

java.security.cert

## Class Certificate

- java.lang.Object
- - java.security.cert.Certificate

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    X509Certificate

      public abstract class Certificate
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `Certificate.CertificateRep`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Certificate(String var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract byte[]` | `getEncoded()`
    `abstract PublicKey` | `getPublicKey()`
    `String` | `getType()`
    `abstract String` | `toString()`
    `abstract void` | `verify(PublicKey var0)`
    `abstract void` | `verify(PublicKey var0, String var1)`
    `protected Object` | `writeReplace()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Certificate

          protected Certificate(String var0)

  - ### Method Detail

    - #### getEncoded

          public abstract byte[] getEncoded()
                                     throws CertificateEncodingException

      Throws:
        `CertificateEncodingException`

    - #### getPublicKey

          public abstract PublicKey getPublicKey()

    - #### getType

          public final String getType()

    - #### toString

          public abstract String toString()

      Overrides:
        `toString` in class `Object`

    - #### verify

          public abstract void verify(PublicKey var0)
                               throws InvalidKeyException,
                                      NoSuchAlgorithmException,
                                      NoSuchProviderException,
                                      SignatureException,
                                      CertificateException

      Throws:
        `InvalidKeyException`
        `NoSuchAlgorithmException`
        `NoSuchProviderException`
        `SignatureException`
        `CertificateException`

    - #### verify

          public abstract void verify(PublicKey var0,
                    String var1)
                               throws InvalidKeyException,
                                      NoSuchAlgorithmException,
                                      NoSuchProviderException,
                                      SignatureException,
                                      CertificateException

      Throws:
        `InvalidKeyException`
        `NoSuchAlgorithmException`
        `NoSuchProviderException`
        `SignatureException`
        `CertificateException`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Throws:
        `ObjectStreamException`